Package com.collibra.dgc.core.api.dto.user

# Class ChangeUserRequest.Builder

Object
Builder

Enclosing class:
  `ChangeUserRequest`

public static final class ChangeUserRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeUserRequest.Builder`
  `additionalEmailAddresses(List<Email> additionalEmailAddresses)`
  The additional e-mail addresses of the user.
  `ChangeUserRequest.Builder`
  `addresses(List<Address> addresses)`
  The postal addresses of the user.
  `ChangeUserRequest`
  `build()`
  `ChangeUserRequest.Builder`
  `but()`
  Clone method for this Builder.
  `ChangeUserRequest.Builder`
  `department(String department)`
  The organizational department of the user.
  `ChangeUserRequest.Builder`
  `email(String email)`
  The new e-mail address for the user.
  `ChangeUserRequest.Builder`
  `enabled(Boolean enabled)`
  The new enabled flag for the user.
  `ChangeUserRequest.Builder`
  `firstName(String firstName)`
  The new first name for the user.
  `ChangeUserRequest.Builder`
  `gender(Gender gender)`
  The new gender for the user.
  `ChangeUserRequest.Builder`
  `id(UUID id)`
  Required. The ID of the user to be changed.
  `ChangeUserRequest.Builder`
  `instantMessagingAccounts(List<InstantMessagingAccount> instantMessagingAccounts)`
  The instant messaging accounts of the user.
  `ChangeUserRequest.Builder`
  `language(String language)`
  The new language for the user.
  `ChangeUserRequest.Builder`
  `lastName(String lastName)`
  The new last name for the user.
  `ChangeUserRequest.Builder`
  `licenseType(LicenseType licenseType)`
  Deprecated.
  `ChangeUserRequest.Builder`
  `passwordConfirmation(String passwordConfirmation)`
  The password confirmation for the user when changing their email.
  `ChangeUserRequest.Builder`
  `phones(List<PhoneNumber> phones)`
  The phone numbers of the user.
  `ChangeUserRequest.Builder`
  `title(String title)`
  The organizational title of the user.
  `String`
  `toString()`
  `ChangeUserRequest.Builder`
  `username(String username)`
  The new username for the user.
  `ChangeUserRequest.Builder`
  `websites(List<Website> websites)`
  The websites of the user.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    public ChangeUserRequest.Builder but()
    Clone method for this Builder.

  - ### id

    public ChangeUserRequest.Builder id(UUID id)
    Required. The ID of the user to be changed.
    Returns:
      `this`.

  - ### enabled

    public ChangeUserRequest.Builder enabled(Boolean enabled)
    The new enabled flag for the user.
    Returns:
      `this`.

  - ### username

    public ChangeUserRequest.Builder username(String username)
    The new username for the user.
    Returns:
      `this`.

  - ### firstName

    public ChangeUserRequest.Builder firstName(String firstName)
    The new first name for the user.
    Returns:
      `this`.

  - ### lastName

    public ChangeUserRequest.Builder lastName(String lastName)
    The new last name for the user.
    Returns:
      `this`.

  - ### email

    public ChangeUserRequest.Builder email(String email)
    The new e-mail address for the user.
    Returns:
      `this`.

  - ### gender

    public ChangeUserRequest.Builder gender(Gender gender)
    The new gender for the user.
    Returns:
      `this`.

  - ### title

    public ChangeUserRequest.Builder title(String title)
    The organizational title of the user.
    Returns:
      `this`.

  - ### department

    public ChangeUserRequest.Builder department(String department)
    The organizational department of the user.
    Returns:
      `this`.

  - ### language

    public ChangeUserRequest.Builder language(String language)
    The new language for the user.
    Returns:
      `this`.

  - ### licenseType

    @Deprecated public ChangeUserRequest.Builder licenseType(LicenseType licenseType)
    Deprecated.
    The license type of the user.
    Returns:
      `this`.

  - ### addresses

    public ChangeUserRequest.Builder addresses(List<Address> addresses)
    The postal addresses of the user.
    Returns:
      `this`.

  - ### phones

    public ChangeUserRequest.Builder phones(List<PhoneNumber> phones)
    The phone numbers of the user.
    Returns:
      `this`.

  - ### additionalEmailAddresses

    public ChangeUserRequest.Builder additionalEmailAddresses(List<Email> additionalEmailAddresses)
    The additional e-mail addresses of the user.
    Returns:
      `this`.

  - ### instantMessagingAccounts

    public ChangeUserRequest.Builder instantMessagingAccounts(List<InstantMessagingAccount> instantMessagingAccounts)
    The instant messaging accounts of the user.
    Returns:
      `this`.

  - ### websites

    public ChangeUserRequest.Builder websites(List<Website> websites)
    The websites of the user.
    Returns:
      `this`.

  - ### passwordConfirmation

    public ChangeUserRequest.Builder passwordConfirmation(String passwordConfirmation)
    The password confirmation for the user when changing their email.
    Returns:
      `this`.

  - ### build

    public ChangeUserRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`